Optimization: all UI icons collapsed into a single sprite

2018-12-16 01:22 - Anonymous

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%
Resolution:    

Description

I don't have a CSS mapped yet, but I did collapse the icons into a single sprite (all, except loading spinner). There is also a variety of

online tools out there to map the sprite icons, so it's fairly easy to do.

But, need feedback first. Also if current layout of the sprite is ok.

Related issues:

Related to Redmine - Feature #23980: Replace icon images with Tabler SVG icons Closed

History

#1 - 2018-12-16 07:20 - Bernhard Rohloff

Maxin Samuel there is also an ongoing attempt to switch the icon set to Font Awesome (#23980). As there are more icons available for plugin

developers I think it's a good thing to back it, too. ;-)

#2 - 2018-12-16 08:39 - Anonymous

Well, in this case, it's better to go with font icons, because fonts are vector information, which means it's scalable and also cheaper in size, there is

also more of them.

#3 - 2018-12-16 16:27 - Marius BĂLTEANU

- Related to Feature #23980: Replace icon images with Tabler SVG icons added

#4 - 2019-02-15 19:34 - Anonymous

I offer to close this issue so we focus on it's only related issue #23980 which seems like the best solution anyway :)

#5 - 2019-02-16 01:44 - Go MAEDA

- Tracker changed from Patch to Feature

- Status changed from New to Closed

Max Johansson wrote:

I offer to close this issue so we focus on it's only related issue #23980 which seems like the best solution anyway :)

 Closing.

As pointed out in #7792#note-6, CSS sprites are difficult to maintain.
